Create a new proxy device
curl --request POST \
--url https://api.gologin.com/proxy-devices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"model": "<string>",
"ip": "<string>",
"deviceId": "<string>",
"country": "<string>"
}
'import requests
url = "https://api.gologin.com/proxy-devices"
payload = {
"name": "<string>",
"model": "<string>",
"ip": "<string>",
"deviceId": "<string>",
"country": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
model: '<string>',
ip: '<string>',
deviceId: '<string>',
country: '<string>'
})
};
fetch('https://api.gologin.com/proxy-devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"model": "<string>",
"ip": "<string>",
"country": "<string>",
"proxyStatus": "active",
"smsStatus": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deviceId": "<string>"
}Proxy Devices
Create a new proxy device
POST
/
proxy-devices
Create a new proxy device
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Device name
Device model
Device IP address
Unique device identifier
Country code (2-letter) or country name
Proxy status
Available options:
active, inactive SMS status
Available options:
active, inactive Response
201 - application/json
Proxy device created successfully
Unique identifier of the proxy device
Name of the proxy device
Model of the proxy device
IP address of the proxy device
Country code of the proxy device
Proxy status
Available options:
active, inactive SMS status
Available options:
active, inactive Date when the device was created
Date when the device was last updated
Unique device identifier
Was this page helpful?